GisViewerPanel (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Class GisViewerPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.extjs.gxt.ui.client.widget.Component
      - - com.extjs.gxt.ui.client.widget.BoxComponent
        - - com.extjs.gxt.ui.client.widget.Container<T>
          - - com.extjs.gxt.ui.client.widget.ScrollContainer<com.extjs.gxt.ui.client.widget.Component>
            - - com.extjs.gxt.ui.client.widget.LayoutContainer
              - - org.gcube.portlets.user.gisviewer.client.GisViewerPanel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, DataPanelHandler, LayersPanelHandler, CqlFilterHandler, OpenLayersHandler, ToolbarHandler

      public class GisViewerPanel
      extends com.extjs.gxt.ui.client.widget.LayoutContainer
      implements ToolbarHandler, DataPanelHandler, LayersPanelHandler, CqlFilterHandler, OpenLayersHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GisViewerPanel.LayerType`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Container

      `attachChildren, enableLayout, layoutExecuted, layoutNeeded, layoutOnAttach, layoutOnChange`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Component

      `afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisViewerPanel()`
    `GisViewerPanel(GisViewerParameters parameters)`
    `GisViewerPanel(GisViewerParameters parameters, GisViewerSaveHandler gisViewerSaveHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateTransect(LayerItem layerItem, String table, String field)`
    `void` | `addBaseLayersToOLM(List<? extends GisViewerBaseLayerInterface> layers)` by Francesco M.
    `void` | `addGroup(String groupName)`
    `void` | `addGroupByGroupName(String groupName)`
    `void` | `addLayerByLayerItem(LayerItem layerItem)`
    `void` | `addLayerByLayerItemToTop(LayerItem layerItem)`
    `void` | `addLayerByWms(GisViewerPanel.LayerType layerType, String title, String layerName, String url, boolean isExternal, boolean isBase, boolean displayInLayerSwitcher, ArrayList<String> styles, boolean onTop)` by Francesco M.
    `void` | `addLayerByWms(String title, String layerName, String url, boolean isBase, boolean displayInLayerSwitcher)`
    `void` | `addLayerItemsByWms(GisViewerPanel.LayerType layerType, List<LayerItem> listLayerItem, boolean onTop)` by Francesco M.
    `void` | `addLayersByLayerItems(List<LayerItem> layerItems)`
    `void` | `addLayersByLayerItemsToTop(List<LayerItem> layerItems)`
    `void` | `addLayersByLayerNames(List<String> layerNames)`
    `void` | `addLayersByLayerNames(String... layerNames)`
    `void` | `addLayersByLayerNamesToTop(List<String> layerNames)`
    `void` | `changeLegend(LayerItem layerItem, String style)`
    `void` | `dataPanelOpen(boolean isOpen, int panelHeight)`
    `void` | `deactivateTransect(LayerItem layerItem)`
    `void` | `exportData(boolean force)`
    `protected void` | `getTransectUrl()`
    `void` | `hideLayer(LayerItem layerItem)`
    `boolean` | `isSaveSupported()`
    `protected void` | `onRender(com.google.gwt.user.client.Element parent, int pos)`
    `void` | `openBrowserLayerImage(LayerItem layerItem, String format, boolean isWMS)`
    `void` | `openBrowserMapImage(String outputFormat, boolean isWMS)`
    `void` | `removeAllLayers()`
    `void` | `removeCqlFilter(LayerItem layerItem)`
    `void` | `removeFilterQuery(LayerItem layerItem)`
    `void` | `removeLayer(LayerItem layerItem)`
    `void` | `saveLayerImage(LayerItem layerItem, String format, boolean isWMS)`
    `void` | `saveMapImage(String outputFormat, boolean isWMS)`
    `void` | `selectBox(double x1, double y1, double x2, double y2)`
    `void` | `setCQLFilter(LayerItem layerItem, String filter)`
    `void` | `setOpacityLayer(LayerItem layerItem, double value)`
    `void` | `showDataPanel()`
    `boolean` | `showFilterQuery(LayerItem layerItem, int left, int top)`
    `void` | `showLayer(LayerItem layerItem)`
    `void` | `showLegend(LayerItem layerItem, int left, int top)`
    `void` | `updateLayersOrder()`
    `void` | `updateOpenLayersSize()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.LayoutContainer

      `add, add, addText, findComponent, getLayout, getLayoutTarget, getWindowResizeDelay, insert, insert, isLayoutOnChange, isMonitorWindowResize, layout, layout, onBlur, onComponentEvent, onFocus, remove, removeAll, setLayout, setLayoutData, setLayoutOnChange, setMonitorWindowResize, setWindowResizeDelay`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.ScrollContainer

      `addScrollListener, afterRender, getHScrollPosition, getScrollMode, getVScrollPosition, removeScrollListener, scrollIntoView, setHScrollPosition, setScrollMode, setVScrollPosition`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Container

      `add, adjustIndex, adopt, createContainerEvent, disable, doAttachChildren, doDetachChildren, doLayout, doLayout, enable, findItem, getItem, getItemByItemId, getItemCount, getItems, getWidget, indexOf, insert, isLayoutNeeded, iterator, notifyHide, notifyShow, onAfterLayout, onAttach, onBeforeLayoutExcecuted, onInsert, onLayoutExcecuted, onRemove, orphan, remove, remove, removeAll, scrollIntoView, setLayoutNeeded, wrapWidget`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustPosition, adjustSize, createComponentEvent, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onResize, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Component

      `addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disableContextMenu, disableEvents, disableTextSelection, el, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, onBrowserEvent, onDetach, onDetachHelper, onDisable, onEnable, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GisViewerPanel

          public GisViewerPanel()

    - #### GisViewerPanel

          public GisViewerPanel(GisViewerParameters parameters)

    - #### GisViewerPanel

          public GisViewerPanel(GisViewerParameters parameters,
                        GisViewerSaveHandler gisViewerSaveHandler)

      Parameters:
        `parameters` -
        `gisViewerSaveHandler` -

  - ### Method Detail

    - #### onRender

          protected void onRender(com.google.gwt.user.client.Element parent,
                      int pos)

      Overrides:
        `onRender` in class `com.extjs.gxt.ui.client.widget.LayoutContainer`

    - #### getTransectUrl

          protected void getTransectUrl()

    - #### addGroupByGroupName

          public void addGroupByGroupName(String groupName)

    - #### addLayersByLayerNames

          public void addLayersByLayerNames(String... layerNames)

    - #### addLayersByLayerNames

          public void addLayersByLayerNames(List<String> layerNames)

    - #### addLayersByLayerNamesToTop

          public void addLayersByLayerNamesToTop(List<String> layerNames)

    - #### addLayersByLayerItems

          public void addLayersByLayerItems(List<LayerItem> layerItems)

      Parameters:
        `layerItems` -

    - #### addLayerByLayerItem

          public void addLayerByLayerItem(LayerItem layerItem)

      Parameters:
        `layerItem` -

    - #### addLayersByLayerItemsToTop

          public void addLayersByLayerItemsToTop(List<LayerItem> layerItems)

      Parameters:
        `layerItems` -

    - #### addLayerByLayerItemToTop

          public void addLayerByLayerItemToTop(LayerItem layerItem)

      Parameters:
        `layerItem` -

    - #### addLayerByWms

          public void addLayerByWms(String title,
                           String layerName,
                           String url,
                           boolean isBase,
                           boolean displayInLayerSwitcher)

    - #### removeAllLayers

          public void removeAllLayers()

    - #### removeLayer

          public void removeLayer(LayerItem layerItem)

      Specified by:
        `removeLayer` in interface `LayersPanelHandler`

    - #### showDataPanel

          public void showDataPanel()

      Specified by:
        `showDataPanel` in interface `DataPanelHandler`

    - #### updateOpenLayersSize

          public void updateOpenLayersSize()

    - #### openBrowserMapImage

          public void openBrowserMapImage(String outputFormat,
                                 boolean isWMS)

      Specified by:
        `openBrowserMapImage` in interface `ToolbarHandler`

    - #### isSaveSupported

          public boolean isSaveSupported()

      Specified by:
        `isSaveSupported` in interface `LayersPanelHandler`
      Specified by:
        `isSaveSupported` in interface `ToolbarHandler`

    - #### saveMapImage

          public void saveMapImage(String outputFormat,
                          boolean isWMS)

      Specified by:
        `saveMapImage` in interface `ToolbarHandler`

    - #### exportData

          public void exportData(boolean force)

      Specified by:
        `exportData` in interface `DataPanelHandler`

    - #### openBrowserLayerImage

          public void openBrowserLayerImage(LayerItem layerItem,
                                   String format,
                                   boolean isWMS)

      Specified by:
        `openBrowserLayerImage` in interface `LayersPanelHandler`

    - #### saveLayerImage

          public void saveLayerImage(LayerItem layerItem,
                            String format,
                            boolean isWMS)

      Specified by:
        `saveLayerImage` in interface `LayersPanelHandler`

    - #### showLegend

          public void showLegend(LayerItem layerItem,
                        int left,
                        int top)

      Specified by:
        `showLegend` in interface `LayersPanelHandler`

    - #### changeLegend

          public void changeLegend(LayerItem layerItem,
                          String style)

      Specified by:
        `changeLegend` in interface `LayersPanelHandler`

    - #### setOpacityLayer

          public void setOpacityLayer(LayerItem layerItem,
                             double value)

      Specified by:
        `setOpacityLayer` in interface `LayersPanelHandler`

    - #### showLayer

          public void showLayer(LayerItem layerItem)

      Specified by:
        `showLayer` in interface `LayersPanelHandler`

    - #### hideLayer

          public void hideLayer(LayerItem layerItem)

      Specified by:
        `hideLayer` in interface `LayersPanelHandler`

    - #### showFilterQuery

          public boolean showFilterQuery(LayerItem layerItem,
                                int left,
                                int top)

      Specified by:
        `showFilterQuery` in interface `LayersPanelHandler`

    - #### removeFilterQuery

          public void removeFilterQuery(LayerItem layerItem)

      Specified by:
        `removeFilterQuery` in interface `LayersPanelHandler`

    - #### addGroup

          public void addGroup(String groupName)

    - #### updateLayersOrder

          public void updateLayersOrder()

      Specified by:
        `updateLayersOrder` in interface `LayersPanelHandler`

    - #### setCQLFilter

          public void setCQLFilter(LayerItem layerItem,
                          String filter)

      Specified by:
        `setCQLFilter` in interface `CqlFilterHandler`

    - #### removeCqlFilter

          public void removeCqlFilter(LayerItem layerItem)

      Specified by:
        `removeCqlFilter` in interface `CqlFilterHandler`

    - #### activateTransect

          public void activateTransect(LayerItem layerItem,
                              String table,
                              String field)

      Specified by:
        `activateTransect` in interface `LayersPanelHandler`

    - #### deactivateTransect

          public void deactivateTransect(LayerItem layerItem)

      Specified by:
        `deactivateTransect` in interface `LayersPanelHandler`
      Specified by:
        `deactivateTransect` in interface `ToolbarHandler`

    - #### dataPanelOpen

          public void dataPanelOpen(boolean isOpen,
                           int panelHeight)

      Specified by:
        `dataPanelOpen` in interface `DataPanelHandler`

    - #### selectBox

          public void selectBox(double x1,
                       double y1,
                       double x2,
                       double y2)

      Specified by:
        `selectBox` in interface `OpenLayersHandler`

    - #### addLayerByWms

          public void addLayerByWms(GisViewerPanel.LayerType layerType,
                           String title,
                           String layerName,
                           String url,
                           boolean isExternal,
                           boolean isBase,
                           boolean displayInLayerSwitcher,
                           ArrayList<String> styles,
                           boolean onTop)

      by Francesco M. Extension of addLayerByWms, with input parameter is external layer
      Parameters:
        `title` -
        `layerName` -
        `url` -
        `isExternal` -
        `isBase` -
        `displayInLayerSwitcher` -
        `styles` - - the first style of list must be the default style
        `onTop` -

    - #### addLayerItemsByWms

          public void addLayerItemsByWms(GisViewerPanel.LayerType layerType,
                                List<LayerItem> listLayerItem,
                                boolean onTop)

      by Francesco M.
      Parameters:
        `layerType` -
        `listLayerItem` -
        `onTop` -

    - #### addBaseLayersToOLM

          public void addBaseLayersToOLM(List<? extends GisViewerBaseLayerInterface> layers)

      by Francesco M.
      Parameters:
        `layerType` -
        `listLayerItem` -
        `onTop` -

Copyright © 2014. All Rights Reserved.